io.vertx.servicediscovery.rest

## Class ServiceDiscoveryRestEndpoint

- java.lang.Object
- - io.vertx.servicediscovery.rest.ServiceDiscoveryRestEndpoint

-     public class ServiceDiscoveryRestEndpoint
      extends Object

  Allows publishing the vert.x service discovery as a REST endpoint. It supports retrieving services, but also publish, withdraw and modify services.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ROOT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceDiscoveryRestEndpoint` | `create(Router router, ServiceDiscovery discovery)` Creates the REST endpoint using the default root (`/discovery`).
    `static ServiceDiscoveryRestEndpoint` | `create(Router router, ServiceDiscovery discovery, String root)` Creates the REST endpoint using the given root.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ROOT

          public static final String DEFAULT_ROOT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static ServiceDiscoveryRestEndpoint create(Router router,
                                                            ServiceDiscovery discovery)

      Creates the REST endpoint using the default root (`/discovery`).
      Parameters:
        `router` - the vert.x web router
        `discovery` - the service discovery instance
      Returns:
        the created endpoint

    - #### create

          public static ServiceDiscoveryRestEndpoint create(Router router,
                                                            ServiceDiscovery discovery,
                                                            String root)

      Creates the REST endpoint using the given root.
      Parameters:
        `router` - the vert.x web router
        `discovery` - the service discovery instance
        `root` - the endpoint path (root)
      Returns:
        the created endpoint

Copyright © 2017. All rights reserved.